Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmlbeans.generator
Class WSDLInspector.ServiceMethod

    java.lang.Object
      org.codehaus.xfire.xmlbeans.generator.WSDLInspector.ServiceMethod

Enclosing class:
  WSDLInspector

    public class WSDLInspector.ServiceMethod

extends java.lang.Object

Constructor Summary
`WSDLInspector.ServiceMethod()`

Method Summary
`void` | `addRequestHeader(WSDLInspector.Parameter parameter)`
`void` | `addRequestParameter(WSDLInspector.Parameter parameter)`
`void` | `addResponseHeader(WSDLInspector.Parameter parameter)`
`void` | `addResponseParameter(WSDLInspector.Parameter parameter)`
`java.lang.String` | `getName()`
`java.util.List` | `getRequestHeaders()`
`java.util.List` | `getRequestParameters()`
`java.util.List` | `getResponseHeaders()`
`java.util.List` | `getResponseParameters()`
`java.lang.String` | `getSoapAction()`
`org.apache.xmlbeans.XmlObject` | `getXmlObject()`
`void` | `setName(java.lang.String name)`
`void` | `setRequestHeaders(java.util.List requestHeaders)`
`void` | `setRequestParameters(java.util.List requestParameters)`
`void` | `setResponseHeaders(java.util.List responseHeaders)`
`void` | `setResponseParameters(java.util.List responseParameters)`
`void` | `setSoapAction(java.lang.String soapAction)`
`void` | `setXmlObject(org.apache.xmlbeans.XmlObject xmlObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLInspector.ServiceMethod

    public WSDLInspector.ServiceMethod()

Method Detail

### addRequestParameter

    public void addRequestParameter(WSDLInspector.Parameter parameter)

### addResponseParameter

    public void addResponseParameter(WSDLInspector.Parameter parameter)

### addRequestHeader

    public void addRequestHeader(WSDLInspector.Parameter parameter)

### addResponseHeader

    public void addResponseHeader(WSDLInspector.Parameter parameter)

### getRequestParameters

    public java.util.List getRequestParameters()

### setRequestParameters

    public void setRequestParameters(java.util.List requestParameters)

### getResponseParameters

    public java.util.List getResponseParameters()

### setResponseParameters

    public void setResponseParameters(java.util.List responseParameters)

### getRequestHeaders

    public java.util.List getRequestHeaders()

### setRequestHeaders

    public void setRequestHeaders(java.util.List requestHeaders)

### getResponseHeaders

    public java.util.List getResponseHeaders()

### setResponseHeaders

    public void setResponseHeaders(java.util.List responseHeaders)

### getSoapAction

    public java.lang.String getSoapAction()

### getXmlObject

    public org.apache.xmlbeans.XmlObject getXmlObject()

### setXmlObject

    public void setXmlObject(org.apache.xmlbeans.XmlObject xmlObject)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### setSoapAction

    public void setSoapAction(java.lang.String soapAction)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.